Skip to content

Instantly share code, notes, and snippets.

Brenton Horne fusion809

Block or report user

Report or block fusion809

Hide content and notifications from this user.

Learn more about blocking users

Contact Support about this user’s behavior.

Learn more about reporting abuse

Report abuse
View GitHub Profile
@fusion809
fusion809 / configuration.nix
Created Oct 13, 2019
NixOS 19.09 VM configuration.nix
View configuration.nix
# Edit this configuration file to define what should be installed on
# your system. Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).
{ config, pkgs, ... }:
{
imports =
[ # Include the results of the hardware scan.
./hardware-configuration.nix
View patch-error.log
The next patch would create the file packaging/linux/restore-environment.sh,
which already exists! Skipping patch.
1 out of 1 hunk ignored
View multiplayer-switch-crash.log
System.Net.Sockets.SocketOptionName 0x17 is not supported at IP level
System.Net.Sockets.SocketOptionName 0x17 is not supported at IP level
exception inside UnhandledException handler: (null) assembly:/tmp/.mount_OpenRAiGeQlg/usr/lib/mono/4.5/mscorlib.dll type:BadImageFormatException member:(null)
[ERROR] FATAL UNHANDLED EXCEPTION: System.BadImageFormatException: Could not resolve field token 0x0400035d, due to: Could not load type of field 'OpenRA.Network.OrderManager:AddChatLine' (21) due to: Could not load file or assembly 'System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a' or one of its dependencies. assembly:/tmp/.mount_OpenRAA6Tzg4/usr/lib/openra/OpenRA.Game.exe type:OrderManager member:(null)
File name: 'OpenRA.Game'
at OpenRA.Program.Main (System.String[] args) [0x0005d] in <f69fafde25414782b71cd55dd1b3d620>:0
AL lib: FreeContext: (0x2fe3950) Deleting 32 Source(s)
View waterfox-updater
#!/bin/bash
CURRENT_VERSION=$(~/Downloads/waterfox/waterfox --version | cut -d ' ' -f 3)
LATEST_VERSION=$(wget -cqO- https://www.waterfox.net/ | grep linux64 | head -n 1 | cut -d '-' -f 4 | sed 's/.en//g')
if [[ ${CURRENT_VERSION} == ${LATEST_VERSION} ]]; then
printf "Waterfox is up to date at version ${CURRENT_VERSION}.\n"
else
rm -rf ~/Downloads/waterfox*
wget -cqO- https://storage-waterfox.netdna-ssl.com/releases/linux64/installer/waterfox-${LATEST_VERSION}.en-US.linux-x86_64.tar.bz2 | tar xj
fi
View log
OpenRA engine version 9f49d94 is required.
Downloading engine...
Compiling engine...
make[1]: Entering directory '/data/GitHub/others/Romanovs-Vengeance/engine'
make[1]: Leaving directory '/data/GitHub/others/Romanovs-Vengeance/engine'
make[1]: Entering directory '/data/GitHub/others/Romanovs-Vengeance/engine'
Fetching ICSharpCode.SharpZipLib from NuGet
Fetching MaxMind.Db from NuGet
Fetching NUnit from NuGet
Fetching NUnit.Console from NuGet
View gist:0ad396a8a985973e4237458ecdce1555
This file has been truncated, but you can view the full file.
make[1]: Entering directory '/data/GitHub/others/Yuris-Revenge/engine'
make[1]: Leaving directory '/data/GitHub/others/Yuris-Revenge/engine'
make[1]: Entering directory '/data/GitHub/others/Yuris-Revenge/engine'
You are using a preview version of .NET Core. See: https://aka.ms/dotnet-core-preview
OpenRA.PostProcess -> /data/GitHub/others/Yuris-Revenge/engine/OpenRA.PostProcess.exe
OpenRA.Game -> /data/GitHub/others/Yuris-Revenge/engine/OpenRA.Game.exe
OpenRA.Mods.Common -> /data/GitHub/others/Yuris-Revenge/engine/mods/common/OpenRA.Mods.Common.dll
OpenRA.Mods.Cnc -> /data/GitHub/others/Yuris-Revenge/engine/mods/common/OpenRA.Mods.Cnc.dll
OpenRA.Utility -> /data/GitHub/others/Yuris-Revenge/engine/OpenRA.Utility.exe
View openra-d2-git.log
:: Checking for conflicts...
:: Checking for inner conflicts...
[Aur: 1] openra-d2-git-166.git.0a74333-1
1 openra-d2-git (Installed) (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==>
:: PKGBUILD up to date, Skipping (1/1): openra-d2-git
1 openra-d2-git (Installed) (Build Files Exist)
View msbuild.log
:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
multilib is up to date
:: Starting full system upgrade...
there is nothing to do
:: Searching databases for updates...
:: Searching AUR for updates...
-> efl: local (1.22.3-1) is newer than extra (1.22.2-1)
View desolve-sle-attempt.sage
y=function("y")
var("lambda_")
E=diff(y(x),x,2)-x*y(x)==lambda_*y(x)
S=desolve(E,y(x),ivar=x, contrib_ode=True, ics=[0,0,+Infinity,0]);
View Governing party ideologies by nation.svg
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
You can’t perform that action at this time.